package ca.recrown.islandsurvivalcraft.caching;

public abstract class Identifier implements Comparable<Identifier> {
    protected volatile int usage;

    @Override
    public abstract boolean equals(Object obj);

    @Override
    public abstract int hashCode();

    @Override
    public synchronized int compareTo(Identifier o) {
        return usage - o.usage;
    }
}